
From: Kevin Corry <kevcorry@us.ibm.com>

dm-raid1.c: Since kcopyd can currently only handle 1 source and up to 8
destinations, enforce a max of 9 mirrors when creating a dm-mirror device.

Signed-off-by: Kevin Corry <kevcorry@us.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/md/dm-raid1.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/md/dm-raid1.c~3-4-dm-dm-raid1c-enforce-max-of-9-mirrors drivers/md/dm-raid1.c
--- 25/drivers/md/dm-raid1.c~3-4-dm-dm-raid1c-enforce-max-of-9-mirrors	2004-06-30 13:05:10.109708616 -0700
+++ 25-akpm/drivers/md/dm-raid1.c	2004-06-30 13:05:10.113708008 -0700
@@ -1028,7 +1028,7 @@ static int mirror_ctr(struct dm_target *
 	argc -= args_used;
 
 	if (!argc || sscanf(argv[0], "%u", &nr_mirrors) != 1 ||
-	    nr_mirrors < 2) {
+	    nr_mirrors < 2 || nr_mirrors > KCOPYD_MAX_REGIONS + 1) {
 		ti->error = "dm-mirror: Invalid number of mirrors";
 		dm_destroy_dirty_log(dl);
 		return -EINVAL;
_
